Package org.apache.sling.testing.mock.jcr

# Class MockQuery

java.lang.Object
org.apache.sling.testing.mock.jcr.MockQuery

All Implemented Interfaces:
  `javax.jcr.query.Query`

@ConsumerType public final class MockQuery extends Object implements javax.jcr.query.Query
Mock implementation of `Query`.

## Field Summary

### Fields inherited from interface javax.jcr.query.Query

`JCR_JQOM, JCR_SQL2, SQL, XPATH`

## Method Summary

Modifier and Type
Method
Description
`void`
`bindValue(String varName, javax.jcr.Value value)`
`javax.jcr.query.QueryResult`
`execute()`
`String[]`
`getBindVariableNames()`
`Map<String,javax.jcr.Value>`
`getBindVariables()`
`String`
`getLanguage()`
`long`
`getLimit()`
`long`
`getOffset()`
`String`
`getStatement()`
`String`
`getStoredQueryPath()`
`void`
`setLimit(long limit)`
`void`
`setOffset(long offset)`
`javax.jcr.Node`
`storeAsNode(String absPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### execute

public javax.jcr.query.QueryResult execute() throws javax.jcr.RepositoryException

Specified by:
  `execute` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`

### setLimit

public void setLimit(long limit)

Specified by:
  `setLimit` in interface `javax.jcr.query.Query`

### getLimit

public long getLimit() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### setOffset

public void setOffset(long offset)

Specified by:
  `setOffset` in interface `javax.jcr.query.Query`

### getOffset

public long getOffset() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getStatement

public String getStatement()

Specified by:
  `getStatement` in interface `javax.jcr.query.Query`

### getLanguage

public String getLanguage()

Specified by:
  `getLanguage` in interface `javax.jcr.query.Query`

### bindValue

public void bindValue(String varName, javax.jcr.Value value) throws javax.jcr.RepositoryException

Specified by:
  `bindValue` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`

### getBindVariableNames

public String[] getBindVariableNames() throws javax.jcr.RepositoryException

Specified by:
  `getBindVariableNames` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`

### getBindVariables

public Map<String,javax.jcr.Value> getBindVariables() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getStoredQueryPath

public String getStoredQueryPath() throws javax.jcr.RepositoryException

Specified by:
  `getStoredQueryPath` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`

### storeAsNode

public javax.jcr.Node storeAsNode(String absPath) throws javax.jcr.RepositoryException

Specified by:
  `storeAsNode` in interface `javax.jcr.query.Query`
Throws:
  `javax.jcr.RepositoryException`